RegisterRequest
Defined in: src/@types/registration.ts:24
The request body of a call to POST /_matrix/client/v3/register.
https://spec.matrix.org/v1.7/client-server-api/#post_matrixclientv3register
Properties
Section titled “Properties”
optionalauth?:AuthDict
Defined in: src/@types/registration.ts:30
Additional authentication information for the user-interactive authentication API. Note that this information is not used to define how the registered user should be authenticated, but is instead used to authenticate the register call itself.
guest_access_token?
Section titled “guest_access_token?”
optionalguest_access_token?:string
Defined in: src/@types/registration.ts:61
Guest users can also upgrade their account by going through the ordinary register flow, but specifying the additional POST parameter guest_access_token containing the guest’s access token. They are also required to specify the username parameter to the value of the local part of their username, which is otherwise optional.
https://spec.matrix.org/v1.10/client-server-api/#guest-access
inhibit_login?
Section titled “inhibit_login?”
optionalinhibit_login?:boolean
Defined in: src/@types/registration.ts:48
If true, an access_token and device_id should not be returned from this call, therefore preventing an automatic login. Defaults to false.
initial_device_display_name?
Section titled “initial_device_display_name?”
optionalinitial_device_display_name?:string
Defined in: src/@types/registration.ts:53
A display name to assign to the newly-created device. Ignored if device_id corresponds to a known device.
password?
Section titled “password?”
optionalpassword?:string
Defined in: src/@types/registration.ts:39
The desired password for the account.
refresh_token?
Section titled “refresh_token?”
optionalrefresh_token?:boolean
Defined in: src/@types/registration.ts:43
If true, the client supports refresh tokens.
username?
Section titled “username?”
optionalusername?:string
Defined in: src/@types/registration.ts:35
The basis for the localpart of the desired Digital World ID. If omitted, the hub MUST generate a Digital World ID local part.